Home / Nintendo / 3DS Homebrew / 3DS: Information about those weird random Arm11 Crashes on Luma3DS 8.0/8.1 and how to fix them

3DS: Information about those weird random Arm11 Crashes on Luma3DS 8.0/8.1 and how to fix them

Some people have been encountering weird Arm11 crashes after updating to Boot9Strap and have been annoyed or angry since all those nifty little “Stability Updates” by Nintendo seem to be broken by Boot9Strap and crash the 3DS in certain applications. This isn’t exactly true though. These crashes are not the fault of Boot9Strap but rather the fault of Luma3DS. Think of your 3DS as a house. Boot9Strap is only the door which allows you to enter it and Luma3DS is the House itself. If the House is unstable the door isn’t to blame.

 

These crashes are happening because of Luma3DS’s 8.0 and 8.1 new “Rosalina” feature which is still WIP. That’s why until these crashes get fixed you have two options. You can either use the latest Luma3DS nightly and hope that your crashing applications will stop crashing or, to be safe, you can use Luma3DS 7.1 without¬†Rosalina.

You can download the latest nightly builds from here or if you rather want the 7.1 Luma3DS version you can download it from here.

If you downloaded the nightly just extract it and copy the boot.firm to the root of your SD Card or if you downloaded the Luma3DS 7.1 version just directly copy the boot.firm to the root of your 3DS SD Card.

As much as I like Luma3DS “Rosalina” features I don’t like it when my Games or Homebrew crash whenever they feel like it. If you are also having crashes and like to try the latest nightly or the old Luma3DS 7.1 version please let us know and report back if it fixed your crashes.

Source: GBATemp

About Darthsternie

Darthsternie
Interested in everything Technical. Loves self-repairing Tech. Collector of Firmwares. Enthusiast Gamer and Anime Fan ^^

One comment

  1. I don’t have problems with crashes per say, but the ntr cheats no longer work. I tried yesterday with no luck. I have Luma 8.1 and ntr 3.5
    I don’t know if luma 8.1 is not compatible or what

Leave a Reply

Your email address will not be published. Required fields are marked *